Last Comment Bug 755388 - "hud is null" when using the edit gcli command
: "hud is null" when using the edit gcli command
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: 13 Branch
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 10:50 PDT by Dave Camp (:dcamp)
Modified: 2012-06-01 05:59 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Upload 1 (21.99 KB, patch)
2012-05-30 14:17 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Splinter Review

Description Dave Camp (:dcamp) 2012-05-15 10:50:46 PDT

    
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-30 14:17:33 PDT
Created attachment 628479 [details] [diff] [review]
Upload 1


This is frankly a huge patch for what it effectively a 2/3 line change (See GcliCommands.jsm). In addition to fixing the problem we:
- Fix a related issue in GCLI
  https://github.com/joewalker/gcli/commit/3f33b1bf9440e20b067a99e76823ecd51c3e4f8c
  I'm not sure it's worth a pull request when you can see it here
- Adding tests for the 'edit' command
  (See bug 759853 for a follow-up to complete this work)
- head.js wasn't implementing 'markup' checking. I added that in
  The code was in the GCLI version of this
- Renamed test->tests to fall inline with the GCLI version
- Fixed tests in pref command as a result of 'markup' not being implemented
- Added my leakHunt code. I find it very useful for finding memory leaks and
  I keep adding it and removing it. I'm leaving it in here to see what people
  think of it.
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-01 01:02:01 PDT
https://tbpl.mozilla.org/?tree=Fx-Team&rev=a24414165cd4
Comment 3 Rob Campbell [:rc] (:robcee) 2012-06-01 05:59:49 PDT
https://hg.mozilla.org/mozilla-central/rev/3e0e827bd236

Note You need to log in before you can comment on or make changes to this bug.